html,body{
    height: 100% ;
    margin:0 !important;
    font-size:0.85rem !important;
}

@media (max-width: 767px){
    html,body{
        height: auto !important ;
        margin:0 !important;
        font-size:0.85rem !important;
    }
}

.p-0{
    padding: 0 !important;
}

.m-0{
    margin: 0 !important;
}

.pt-50{
    padding-top:50px;
}

.pt-10{
    padding-top: 10px !important;
}

.pb-10{
    padding-bottom: 10px !important;
}

.pl-0{
    padding-left: 0 !important;
}

.pb-20{
    padding-bottom: 20px !important;
}

#interactive-section{
    position: relative;
    top: 0;
    left: 0;
    width: 100% !important;
    height: 100%;
}


.title{
    font-weight: 700;
    text-transform: uppercase;
}

.nav-col{
    position: relative;
    background-color: rgba(242,242,242,0.4);
    border-left:1px solid #6f6f6f;
}

.nav-col:first-of-type{
    border-left: none !important;
    border-right: 1px solid #6f6f6f;
}

.interactive-nav{
    border-top: 1px solid #6f6f6f;
}

.interactive-nav:first-of-type{
    border-top: none !important;
}

.interactive-nav a{
    text-decoration: none;
    padding-left: 0 !important;
    text-transform: uppercase;
    padding: 0 !important;
}

.interactive-nav a:hover{
    text-decoration: none;
    font-weight: 700;
    background: none !important;
    color: #6f6f6f !important;
}

.design-category-nav{
    max-height: 45%; 
    overflow-y: scroll;
    padding-bottom: 2%;
}

.design-view-nav{
    max-height: 21%;
    padding-bottom: 2%;
   /* overflow-y: scroll;*/
}

.design-material-nav{
    max-height: 35%;
    padding-bottom: 2%;
}

.design-material-nav > li{
    width: 100%;
}

.height-full{
    height: 100%;
}

.design-selection-img{
    position: relative;
    width: 80%;
}

.interactive-nav-images{
    overflow-y: scroll;
}

.interactive-nav-images ul li{
    padding: 10px 0;
}

.interactive-nav-images ul li:first-of-type{
    padding: 0 !important;
}

.interactive-nav-images ul li .text{
    font-size: 0.95rem;
}


.material-dropdown{
    display: none;
    list-style: none !important;
    padding-left: 0 !important;
}

.material-color-1{
    background-color: var(--color-1);
}
.material-color-2{
    background-color: var(--color-2);
}
.material-color-3{
    background-color: var(--color-3);
}
.material-color-4{
    background-color: var(--color-4);
}

.color-square{
    width: 60px;
    height: 60px;
    margin: 0 auto;
    border-radius: 50%;
    border: 4px solid #fff;
}

.color-square:hover{
    border: 5px solid #eee;
}

.material-item{
    width:100%;
}

.interactive-nav li{
    transition: 0.6s ease;
}

.interactive-nav li:hover a.material-item{
    background-color: #333 !important;
    color: #fff !important;
    padding-left:15px !important;
}

.material-dropdown{
    position: absolute;
    width: 310px;
    left: 65%;
    z-index: 100;
    padding: 10px 0 5px 10px !important;
    text-align: center;
    background-color: #fefefe;
}

.material-dropdown li{
    float: left;
    margin-right: 10px;
    margin-bottom: 10px;
}

.dropdown-h{
    font-size: 1rem !important;
    line-height: 1rem !important;
    margin-bottom: 5px !important;
}

.overflow-hidden{
    overflow: hidden;
}


/*MOCKUP ROOM 1*/


#mockupMain{
    cursor: zoom-in;
    position: relative;
}

.mockupMain-zoom-out{
    cursor: zoom-out !important;
}


.mockup-object-13{      /*Sol Koltuk*/
    position: absolute;
    z-index: 5;
    height: auto;
}

.mockup-object-stool{       /*Sağ koltuk*/
    position: absolute;
    z-index: 5;
    height: auto;
}

.mockup-object-9{       /*Havlu*/
    position: absolute;
    z-index: 9;
    height: auto;
}

.mockup-object-sofa{
    position: absolute;
    z-index: 7;
    height: auto;
}

.mockup-object-pillow-1{
    position: absolute;
    z-index: 7;
    height: auto;
}

.mockup-object-pillow-2{
    position: absolute;
    z-index: 5;
    height: auto;
}

.mockup-object-pillow-3{
    position: absolute;
    z-index: 7;
    height: auto;
}

.mockup-object-pillow-4{
    position: absolute;
    z-index: 7;
    height: auto;
}

.mockup-object-pillow-5{
    position: absolute;
    z-index: 5;
    height: auto;
}

.mockup-object-lampshade{
    position: absolute;
    z-index: 7;
    height: auto;
}

.mockup-object-curtain-1{
    position: absolute;
    z-index: 5;
    height: auto;
}

.mockup-object-curtain-2{
    position: absolute;
    z-index: 5;
    height: auto;
}

.mockup-object-curtain-3{
    position: absolute;
    z-index: 5;
    height: auto;
}


@media (max-width: 767px){
    #mockupMain{
        position: relative;
        width:250px;
        height: 200px;
        display: block;
        margin:0 auto;
        overflow: hidden;
    }
    
    
    .mockup-main-image{
        position: relative;
        width:250px;
        height: 141px;
    }
    
    .mockup-carpet{
        position: relative;
        z-index: -1;
        width: 58px;
        height: 110px;
        top: -147px;
        left: 129px;
        transform: matrix3d(-0.06, 0.114152, 0.3, -0.0025, -1.52198, 0, 1.1, 0, 1, 0, 2, 0, 0, 62, 0, 0.91112);
    }

    
}

@media (min-width: 768px){
    #mockupMain{
        position: relative;
        width:512px;
        height: 600px;
        display: block;
        margin:0 auto;
        overflow: hidden;
    }
    
    
    .mockup-main-image{
        position: relative;
        width:512px;
        height: 288px;
    }
    
    .mockup-carpet{
        position: relative;
        z-index: -1;
        width: 119px;
        height: 227px;
        top: -208px;
        left: 245px;
        transform: matrix3d(-0.06, 0.294152, 0.3, -0.0025, -2.02198, 0, 1.1, 0, 1, 0, 2, 0, 0, 62, 0, 1.37112);
    }

}

@media (min-width: 1024px){
    #mockupMain{
        position: relative;
        width:682px;
        height: 700px;
        display: block;
        margin:0 auto;
        overflow: hidden;
    }
    
    
    .mockup-main-image{
        position: relative;
        width:682px;
        height: 384px;
    }
    
    .mockup-carpet{
        position: relative;
        z-index: -1;
        width: 159px;
        height: 303px;
        top: -256px;
        left: 333px;
        transform: matrix3d(-0.06, 0.394152, 0.3, -0.0025, -2.52198, 0, 1.1, 0, 1, 0, 2, 0, 0, 62, 0, 1.63112);
    }

}

@media (min-width: 1350px){
    #mockupMain{
        position: relative;
        width:900px;
        height: 800px;
        display: block;
        margin:0 auto;
        overflow: hidden;
    }
    
    
    .mockup-main-image{
        position: relative;
        width:900px;
        height: 507px;
    }
    
    .mockup-carpet{
        position: relative;
        z-index: -1;
        width: 210px;
        height: 400px;
        top: -322px;
        left: 408px;
        transform: matrix3d(-0.06, 0.494152, 0.3, -0.0025, -2.52198, 0, 1.1, 0, 1, 0, 2, 0, 0, 62, 0, 1.87912);
    }

}

@media (min-width: 1700px){
    #mockupMain{
        position: relative;
        width:1100px;
        height: 800px;
        display: block;
        margin:0 auto;
        overflow: hidden;
    }
    
    
    .mockup-main-image{
        position: relative;
        width:1100px;
        height: 620px;
    }
    
    .mockup-carpet{
        position: relative;
        z-index: -1;
        width: 259px;
        height: 493px;
        top: -406px;
        left: 518px;
        transform: matrix3d(-0.06, 0.67428849902534113060428849902534, 0.3, -0.0025, -2.52198, 0, 1.1, 0, 1, 0, 2, 0, 0, 62, 0, 1.87912);
    }
}

.color-input-outer{
    background-color: rgba(255,255,255,0.9);
    position: absolute;
    cursor: move;
    z-index: 9999999;
    display: none;
    padding: 15px;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    border: 1px solid #444;
    top: 40px;
    left: 30px;
    transform: scale(0.8);
    width: auto;
}

.color-input{
    width: 100%;
    height: auto;
    z-index: 9999999999999999;
    cursor: crosshair;
}

.color-input-outer .btn{
    padding: 4px !important;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    margin:0 auto;
}

.color-input-outer .card-text{
    font-size: 14px !important;
}


.pillow1-mask{
    position: absolute; 
    top:100px;
    z-index: 9999;
    width: 200px;
    height: 200px;
    -webkit-mask-box-image: url(../images/mockup/objects/pillow1-main.png);
    background-image: url(../images/mockup/objects/pillow1-main.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-color: rgba(155,0,0,0.5);
}

.color-select-boxes{
    width:100%;
    height: auto;
    padding: 0 0 1rem 0.5rem;
}


.color-select-boxes .box{
    width: 2rem;
    border: 1px solid #333;
    height: 2rem;
    cursor: pointer;
    float: left;
    margin-left: 10px;
    margin-bottom: 10px;
}



.color-select-boxes .box:hover{
    border: 2px solid #999;
}

.alpin-preloader{
	position: absolute;
	display: none;
	width: 100%;
	height: 100%;
	margin: 0 auto;
	text-align: center;
	background-color: #515781;
}

/*End of MOCKUP*/